class DockerException implements Exception {}

class ContainerNotFoundException extends DockerException {}

class ContainerExistsException extends DockerException {
  String containerName;
  ContainerExistsException(this.containerName);
}

class DockerCommandFailed extends DockerException {
  String command;
  String args;
  int exitCode;
  String error;

  DockerCommandFailed(this.command, this.args, this.exitCode, this.error);

  @override
  String toString() {
    return '''
Error running docker command: $command $args
Exit code: $exitCode
Error: 
$error
''';
  }
}

class ImageNotFoundException extends DockerException {
  String fullName;
  ImageNotFoundException(this.fullName);
}
